Database for TwitterMonitor
Jul 14, 2017 02:12 PM - Salvatore Minutoli
Priority: Normal Due date:

Assignee: Salvatore Minutoli % Done: 100%
Category: Application Estimated time: 0.00 hour
Infrastructure: Production

Description

For the TwitterMonitor application a database is needed in order to track the status of crawler process launched.
The structure of the database is in the following file:

http://data.d4science.org/ajBxeWNNOU5FckZSL zcybU4zBRmJoQkpHOTIpe EJ1OFhHbWJQNStISON6YZ0

The database can be located on the VM with the TwitterMonitor SmartExecutor plugins, or any other node in the SoBigData
infrastructure.

Then a Service Endpoint should be created with the name "TwitterMonitorDatabase".

History

#1 - Jul 14, 2017 03:23 PM - Pasquale Pagano

Please create the DB on the database cluster and then @roberto.cirillo@isti.cnr.it will configure the SE on the IS for the application.

#3 - Jul 17,2017 03:07 PM - Andrea Dell'Amico
- Status changed from New to Feedback

- % Done changed from 0 to 80

The database is already available, see #7180. | just imported the schema.

#4 - Jul 28, 2017 06:08 PM - Salvatore Minutoli

Is the Service Endpoint, with the name "TwitterMonitorDatabase", also available?

#5 - Jul 28, 2017 06:33 PM - Roberto Cirillo
- Status changed from Feedback to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

I'm going to create the ServiceEndpoint resource

#6 - Jul 28, 2017 06:43 PM - Roberto Cirillo
- Status changed from In Progress to Feedback
- Assignee changed from Roberto Cirillo to Salvatore Minutoli

- % Done changed from 80 to 100

I've added the new ServiceEndpoint to the SoBigDatalLab VRE.
I've also notice that the related ServiceEndpoint in development environment has the following entry name: "postgress":

<Interface>
<Endpoint EntryName="postgress">]jdbc:postgresqgl://wafi.iit.cnr.it:5433/twmon</Endpoint>
</Interface>
In the new resource created in production I've set the following entry name: "postgres":
<Interface>
<Endpoint EntryName="postgres">jdbc:postgresql://postgresqgl-srv.d4science.org:5433/twittermon</End
point>

</Interface>

Is it OK for you?
If you want, | could change the entry name in "postgress".

#7 - Jul 28, 2017 06:53 PM - Salvatore Minutoli

Since | already loaded the DataMiner algorithm using "postgress" as the entry name | would prefer, for the moment, to keep it unchanged: so
"postgress" would be better for me. Thanks.

#8 - Jul 31, 2017 10:44 AM - Roberto Cirillo
I've changed the name in "postgress" as requested. Please, @salvatore.minutoli@iit.cnr.it could you check and close the ticket if all is ok for you

now?

#9 - Aug 01, 2017 04:58 PM - Salvatore Minutoli

@roberto.cirillo@isti.cnr.it Is the port number correct (5433) for the current DB server on postgresql-srv.d4science.org ?

#10 - Aug 01, 2017 05:25 PM - Roberto Cirillo

Salvatore Minutoli wrote:

@roberto.cirillo@isti.cnr.it Is the port number correct (5433) for the current DB server on postgresql-srv.d4science.org ?

The correct one is the 5432 port. I'm sorry for this. I've just updated the ServiceEndpoint with the right port number. Please
@salvatore.minutoli@iit.cnr.it could you re-check now?

#11 - Aug 02, 2017 04:24 PM - Salvatore Minutoli
- Status changed from Feedback to Closed

The ServiceEndpoint works correctly. Thanks.
